Edit a Git hook in a repository
PATCH
/repos/{owner}/{repo}/hooks/git/{id}
const url = 'https://gitea.example.com/api/v1/repos/example/example/hooks/git/example';const options = { method: 'PATCH', headers: {Authorization: 'Basic <credentials>', 'Content-Type': 'application/json'}, body: '{"content":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://gitea.example.com/api/v1/repos/example/example/hooks/git/example \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: application/json' \ --data '{ "content": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
id
required
string
Id of the hook to get
Request Body
Section titled “Request Body”EditGitHookOption options when modifying one Git hook
object
content
string
Examplegenerated
{ "content": "example"}EditGitHookOption options when modifying one Git hook
object
content
string
Responses
Section titled “Responses”GitHook
Media typeapplication/json
GitHook represents a Git repository hook
object
content
string
is_active
boolean
name
string
Examplegenerated
{ "content": "example", "is_active": true, "name": "example"}APINotFound is a not found empty response
Media typeapplication/json